## fmtx-middleware 0.65.1

=== Makefile ===
all: fmtx-object-bindings.h fmtxd fmtx_client

fmtxd: fmtx-object.c main.c audio.c dbus.c
	$(CC) $(CFLAGS) $(shell pkg-config --cflags --libs libcal dbus-1 \
	glib-2.0 gconf-2.0 libpulse libpulse-mainloop-glib alsa) $^ -o $@

fmtx-object-bindings.h: fmtx-object.xml
	dbus-binding-tool --mode=glib-server --prefix=fmtx_object $< --output=$@

fmtx_client: fmtx_client.c
	$(CC) $(CFLAGS) $(shell pkg-config --cflags --libs dbus-glib-1) $^ -o $@
clean:
	$(RM) *.o fmtx-object-bindings.h fmtxd fmtx_client

install:
	install -d "$(DESTDIR)/usr/include/"
	install -d "$(DESTDIR)/usr/bin/"
	install -d "$(DESTDIR)/usr/sbin/"
#	install -m 644 fmtxd.h "$(DESTDIR)/usr/include/"
	install -m 755 fmtxd "$(DESTDIR)/usr/sbin/"
	install -m 755 fmtx_client "$(DESTDIR)/usr/bin/"

=== debian/changelog ===
fmtx-middleware (0.65.1) unstable; urgency=low

  * Fix memory leak

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 19 Mar 2016 16:02:12 +0100

fmtx-middleware (0.65) unstable; urgency=low

  * Do not lock radio kernel driver at startup
  * Do not disable FM transmitter when charger is attached
  * Remove also code which using musb_hdrc/charger sysfs file which breaking usb host mode
  * Do not disable FM transmitter when usb cable is attached
  * Fix compile warnings: comparison between signed and unsigned

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 24 Dec 2014 09:07:25 +0100

fmtx-middleware (0.64.1) unstable; urgency=low

  * fix debian/control

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed,  8 Jan 2014 16:11:52 +0200

fmtx-middleware (0.64) unstable; urgency=low

  * FOSS rewrite initial release

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed,  8 Jan 2014 15:38:33 +0200

fmtx-middleware (0.63.1) unstable; urgency=low

  * Reverted fmtxd back to 0.62 due to problems with US cal data 

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Wed,  1 Jan 2014 21:48:15 +0100

fmtx-middleware (0.63) unstable; urgency=low

  * Imported modified jacekowski fmtxd binary from http://jacekowski.org/Maemo/FMTXD1.3
    Power level still set to 120, and it will not lock power
    Region will automatically change to 4 ( full frequency range )
    It will keep running when headphones/usb is plugged in

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 09 Mar 2013 23:08:27 +0100

fmtx-middleware (0.62+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.62+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Thu, 08 Jul 2010 17:18:25 +0300

fmtx-middleware (0.62) unstable; urgency=low

  * Fixes: NB#155783 - FMTX user space power level setting & FMTX disabling settings to correspond with driver
  * Remade the changes to match 0.56 version

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 07 Jul 2010 15:30:00 +0300
 

fmtx-middleware (0.61) unstable; urgency=low

  * Fixes: NB#155783 - FMTX user space power level setting & FMTX disabling settings to correspond with driver
  * Changes between 0.56 and 0.60 are reverted since fmtx is broken after them

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 07 Jul 2010 12:29:13 +0400

fmtx-middleware (0.60) unstable; urgency=low

  * Removed the source-code changes and use postinst-file for lock-file.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 1 Jul 2010 1:50:00 +0300
 

fmtx-middleware (0.59) unstable; urgency=low

  * Fixed the fmtx locking.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 30 Jun 2010 16:15:00 +0300
 

fmtx-middleware (0.58) unstable; urgency=low

  * Moved the fmtx locking to fmtx-daemon startup.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 30 Jun 2010 13:45:00 +0300

fmtx-middleware (0.57) unstable; urgency=low

  * Added the fmtx locking after installing.

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 30 Jun 2010 11:00:00 +0300

fmtx-middleware (0.56) unstable; urgency=low

  * Fixes: NB#155783 - FMTX user space power level setting & FMTX disabling settings to correspond with driver

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 24 Jun 2010 14:00:00 +0300

fmtx-middleware (0.55) unstable; urgency=low

  * Fixes: NB#154132 - Music playback is paused, leave FMTx enabled for a while. Result - status menu and FM dialog acts slowly and laggy

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 19 Feb 2010 14:12:00 +0300

fmtx-middleware (0.54) unstable; urgency=low

  * Fixes: NB#143656 - fmtxd crash @ usb_event

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 3 Feb 2010 13:30:00 +0300

fmtx-middleware (0.53) unstable; urgency=low

  * Fixes: NB#153110 - fmtx_client should pad station names shorter than 8 chars with spaces

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 25 Jan 2010 16:30:00 +0300

fmtx-middleware (0.52) unstable; urgency=low

  * Fixes: NB#142486 - Not able to turn on FM transmitter if USB (charging mode) is connected
  * Fixes: NB#150044 - FMTx, FM transmitter enable itself after call.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 10 Dec 2009 16:00:00 +0300

fmtx-middleware (0.51) unstable; urgency=low

  * Fixes: NB#141721 - FM transmitter is not enabling after disconnecting USB cable
  * Fixes: NB#146542 - USB cable plugged, enable FMT. Unplug USB cable, can't enable FMTx

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 8 Dec 2009 15:00:00 +0300

fmtx-middleware (0.50) unstable; urgency=low

  * Fixes: NB#117996 - FM transmitter is not handled properly when BT headset is connected
  * Improved headphone detection mechanism

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 5 Nov 2009 11:00:00 +0300

fmtx-middleware (0.49) unstable; urgency=low

  * Fixes: NB#140231 - rds_text is not showing in RDS supported radio.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 29 Sep 2009 11:00:00 +0300

fmtx-middleware (0.48) unstable; urgency=low

  * Fixes: NB#134320 - FM Transmitter Unable to connect back to FMRX when FMRX powercyled.
  * Fixes: NB#138786 - Sometimes unable to use FMTX

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 25 Sep 2009 12:00:00 +0300

fmtx-middleware (0.47) unstable; urgency=low

  * Fixes: NB#134388 - FMTX is enabled automatically

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 2 Sep 2009 10:00:00 +0300

fmtx-middleware (0.46) unstable; urgency=low

  * Fixes: NB#134388 - FMTX is enabled automatically

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 21 Aug 2009 16:00:00 +0300

fmtx-middleware (0.45) unstable; urgency=low

  * Fixes: NB#133963 - FMTX power decreased incorrectly when charger is connected
  * Fixes: NB#133962 - Power values for ETSI must be read from calibration data

 -- Maemo Multimedia <multimedia@maemo.org>  Wed, 20 Aug 2009 9:00:00 +0300

fmtx-middleware (0.44) unstable; urgency=low

  * Fixes: NB#130610 - FM transmitter becomes frozen after 15 minutes of idle.


=== debian/control ===
Source: fmtx-middleware
Section: libs
Priority: optional
Maintainer: Ivaylo Dimitrv <freemangordon@abv.bg>
Build-Depends: debhelper (>= 5), libcal-dev, libdbus-glib-1-dev, mce-dev, libasound2-dev, libgconf2-dev, libpulse-dev

Package: fmtx-middleware
Architecture: any
Depends: libasound2 (>> 1.0.18), libc6 (>= 2.5.0-1), libcal1, libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libpulse-mainloop-glib0, libpulse0, libpulse0 (>= 0.9.15~test5), pulseaudio, libdbus-glib-1-2 (>= 0.74), libgconf2-6 (>= 2.16), gconf2 (>= 2.16), libasound2 (>= 1.0.16), libpulse0 (>= 0.9.15~git20090113-0maemo1), libpulse-mainloop-glib0 (>= 0.9.15~git20090113-0maemo1), pulseaudio (>= 0.9.15~git20090113-0maemo1), libcal1 (>= 0.2.4)
Description: FMTX middleware
 This package contains the FMTX middleware daemon for controlling FM
 transmitter. Package also contains fmtx_client program, which can be used to
 communicate with fmtx middleware to change settings of the FM transmitter.

Package: fmtx-middleware-dbg
Architecture: any
Section: devel
Depends: fmtx-middleware (= ${binary:Version})
Description: FMTX middleware debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# export DH_VERBOSE=1

CFLAGS = -Wall -g -Werror

DESTDIR = $(CURDIR)/debian/tmp

# Use thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build:
	CFLAGS="$(CFLAGS)" $(MAKE)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p debian/fmtx-middleware
	cp -ra files/* debian/fmtx-middleware

	$(MAKE) DESTDIR=$(DESTDIR) install

clean:
	$(MAKE) clean
	dh_testdir
	dh_clean

binary: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installdocs -pfmtx-middleware
	dh_installchangelogs -pfmtx-middleware
	dh_compress
	dh_fixperms
	dh_strip --dbg-package=fmtx-middleware-dbg
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary install
